Skip to main content
GET
Read the preview for a project environment

Authorizations

Authorization
string
header
required

WorkOS access JWT or a user-owned WorkOS API key. User keys are bound to one organization and restricted to their enabled product permissions. Session-only onboarding and session revocation require an interactive access JWT. No cookie session is assumed.

Headers

X-Request-Id
string

Optional caller-provided correlation identifier.

Required string length: 1 - 128

Path Parameters

project_id
string
required

Project identifier.

Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$

Query Parameters

environment
enum<string>
required

The concrete project environment to preview.

Available options:
dev,
prod

Response

The authorized preview and its private capability URL. Do not cache or publish the URL.

id
string
required
Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
project_id
string
required
Pattern: ^[0-9A-HJKMNP-TV-Z]{26}$
environment
enum<string>
required
Available options:
dev,
prod
status
enum<string>
required
Available options:
cold,
starting,
ready,
sleeping
url
string<uri>
required

Stable private capability URL without an expiration time.

source
null | object
required

The saved version selected for this preview, or null if there is none.

applied_source
null | object
required

The version applied to the preview, or null if no version has been applied.

ready_to_show
boolean
required

True when the preview is ready and its applied version has the same sequence as the saved version.